<ion-header>
  <ion-navbar color="dark">
    <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>
    <ion-title>Home</ion-title>
    <ion-buttons end>
      <button ion-button icon-start (click)="goToDetailsPage()" >
        <ion-icon name="add"></ion-icon>
      </button>
    </ion-buttons>
  </ion-navbar>
</ion-header>


<ion-content padding class="bgStyle">
      <ion-card color="dark" *ngFor="let post of all;let i = index">
        <ion-card-header style="font-size:2em;">
          {{post['title']}}
        </ion-card-header>
        <ion-card-content style="font-size:1.4em">
          {{post['description']}}
        </ion-card-content>
        <button ion-button round full color="light" (click)="showMore(i)" >
          More
        </button>
      </ion-card>
</ion-content>